import React from 'react';
import ReactDOM from 'react-dom';
import {arc} from 'd3';

const width = 960;
const height = 500;
const centerX = width / 2;
const centerY = height / 2;
const strokeWidth = 10;
const eyeSocketX = 100;
const eyeoffsetX = 100;
const eyeoffsetY = 40;
const faceRadius = 10;
const faceOffsetX = 170;
const faceOffsetY = 100;
const mouthWidth = 90;
const mouthRadius = 20;


const mouthArc = d3.arc()
    .innerRadius(mouthWidth)
    .outerRadius(mouthWidth + mouthRadius)
    .startAngle(Math.PI / 2 + 0.2)
    .endAngle(Math.PI * 3/2 - 0.2);


const noseArc = d3.arc()
    .innerRadius(1)
    .outerRadius(35)
    .startAngle(Math.PI / 2+0.1)
    .endAngle(Math.PI *3/ 2);


const eyeArc = d3.arc()
    .innerRadius(20)
    .outerRadius(30)
    .startAngle(-Math.PI/1+0.1)
    .endAngle(Math.PI*3/2);

const earArc = d3.arc()
    .innerRadius(0)
    .outerRadius(45)
    .startAngle(-Math.PI/2)
    .endAngle(Math.PI/2);


const App = () =>(
  <svg width = {width}  height = {height}>
    <g transform={`translate(${centerX},${centerY})`}>
      <circle 
              r = {centerY - strokeWidth/2} 
              fill = "lightgray"
              stroke = "black"
              stroke-width = {strokeWidth}
        />
     
      <ellipse
        cx = {eyeSocketX}
      	rx = "40"
        ry = "40"
        transform = "rotate(-30  )"
      	/>
      
      <ellipse
        cx = {eyeSocketX}
      	rx = "40"
        ry = "40"
        transform = "rotate(-150  )"
      	/>
      <path 
        d = {eyeArc()}
        transform = "rotate(20)    translate(65,-75)"
        fill = "green"
        />
      <path 
        d = {eyeArc()}
        transform = "rotate(-20)    translate(-65,-75)"
        fill = "green"
        />
      <path d = {noseArc()} />
      <path 
        d = {mouthArc()} 
        transform = "translate(-0,40)"/>
    
      <path 
        d = {earArc()} 
        transform = "rotate(50) translate(0,-240)"/>
      <path 
        d = {earArc()} 
        transform = "rotate(-50) translate(0,-240)"/>
    </g>
	</svg>
);

const rootElement = document.getElementById('root');
ReactDOM.render(<App />, rootElement);